package com.kingdee.eas.custom.hireapproval.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.hireapproval.task.*;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class HireApprovalFacade extends AbstractBizCtrl implements IHireApprovalFacade
{
    public HireApprovalFacade()
    {
        super();
        registerInterface(IHireApprovalFacade.class, this);
    }
    public HireApprovalFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IHireApprovalFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("2337803B");
    }
    private HireApprovalFacadeController getController() throws BOSException
    {
        return (HireApprovalFacadeController)getBizController();
    }
    /**
     *自动生成入职定薪单-User defined method
     *@param billIds 单据id
     */
    public void createHireSalaryBill(String billIds) throws BOSException, EASBizException
    {
        try {
            getController().createHireSalaryBill(getContext(), billIds);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}